
public class DrawFactory extends PokerStyleFactory {

	public DrawFactory() {

	}

	public Dealer createDealer(String name) {
		return new DrawDealer(name);
	}

	public Player createPlayer(String name, String id, double chips) {
		Player player = new DrawPlayer(name, id, chips);
		PlayerHand pH = new PlayerHand(player);
		player.setPlayerHand(pH);
		return player;
	}

}
